Get Device Details

Download a ZIP archive of one device's vulnerability and compliance findings.

A successful response is returned as bytes rather than a parsed dict.

Fetch vulnerability and compliance details for a specific device.

The response is returned as a ZIP file containing the device report.

KeyMeaningMandatoryData Type
accountidAccount IDYesstring
hostnameDevice hostnameYesstring
apifiltersAdvanced tag filteringNoobject
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.Device.getDetails(
      accountid="Default",
      hostname="windows 7",
      apifilters={
        "tags": 
          {
            "in": {
              "ip_address": ["192.168.1.1"]
            }
          }
})

if isinstance(response, bytes):
    with open("report.zip", "wb") as f:
      f.write(response)
else:
    print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/zip
application/json